Results 1 to 3 of 3

Thread: 11.2 M6 64-bit nspluginwrapper "dislikes" 64-bit libnss3

  1. #1

    Default 11.2 M6 64-bit nspluginwrapper "dislikes" 64-bit libnss3

    Running on 64-bit AMD Phenom 4-core.

    To install M6 ( Milestone 6 ) chose "New" install, using images, but modified the partitioning proposal, allowing installation process to reformat M5 "/root" partition, but kept existing "/home" partition.

    After install I had no flash player for Firefox. Since the 64-bit plugin is not GA, and I've seemingly had some problems while using it, downloaded and tried to "wrap" 32-bit GA plugin with "nspluginwrapper". Since the machine is 64-bit, there's a 64-bit version of "nspluginwrapper". It's dynamically linked.

    By default, it just complained "no appropriate viewer found".

    When I run it in verbose mode, I get more detail on the problem, "*** NSPlugin Viewer *** ERROR: libnss3.so: cannot open shared object file: No such file or directory".

    When I run it under "strace -f" I can see there's a search for "libnss3.so" taking place in lib directories, some of which don't appear to come from any "ld.so" related env. vars or ".conf" files. The dir. list appears to be hardcoded, some of the dirs. don't exist on the system.

    There is one "libnss3.so" on the system, it's 64-bit. When I made it accesible via one of the lib dirs. being searched, I get the message "*** NSPlugin Viewer *** ERROR: libnss3.so: wrong ELF class: ELFCLASS64".

    At one point, it does execute:

    /usr/lib/nspluginwrapper/i386/linux/npviewer.bin

    which is 32-bit. There is no 64-bit version.

    Am I doing something incorrectly? Or is this a bug? Should there be a 32-bit version of the lib or a 64-bit version of "npviewer.bin" ?

  2. #2

    Default Re: 11.2 M6 64-bit nspluginwrapper "dislikes" 64-bit libnss3

    High toes,

    I a useing the same CPU,
    i have not had that problem, here is no need to
    change partitioning as M6 will only remove the main
    partion. just check when installing the partition page when it comes up.

    rushman

  3. #3

    Default Re: 11.2 M6 64-bit nspluginwrapper "dislikes" 64-bit libnss3

    Quote Originally Posted by rushman View Post
    High toes,

    I a useing the same CPU,
    i have not had that problem, here is no need to
    change partitioning as M6 will only remove the main
    partion. just check when installing the partition page when it comes up.

    rushman

    Hi rushman,

    The partitioning concept isn't the issue, just background information about the configuration of the installation in case the problem was somehow affected by the configuration. You can tell the install to format "/home" if you wish. I was indicating that I had not done that. Also, I have two drives each of which has an LVG. The LVG's are /dev/system and /dev/sys2. I have openSuSE 11.1 on /dev/system, but I'm testing 11.2 on /dev/sys2. When I run the install, for me it always defaults to installing on /dev/system. So for testing Milestones of 11.2, I need to modify the paritioning proposal so Milestones will be installed on /dev/sys2.

    But this thread is about a problem I'm having using a 32-bit plugin on a 64-bit system. So just to double check, are you saying that you can use nspluginwrapper with the 32-bit flash player plugin on a 64-bit system with no problems? If so, please indicate which version of the 32-bit flash player plugin you are using. Thanks.

    Toes

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •